from __future__ import print_function
import time
import giteapy
from giteapy.rest import ApiException
from pprint import pprint

from config import config

def init_sync():
    pass


if __name__ == "__main__":
    configuration = giteapy.Configuration()
    configuration.host = "https://git.zeus.gent/api/v1"
    configuration.api_key['token'] = config["gitea"]["access_token"]
    configuration.debug = True

    # create an instance of the API class
    api_instance = giteapy.RepositoryApi(giteapy.ApiClient(configuration))
    # username = 'username_example' # str | username of the user that will own the created organization
    # organization = giteapy.CreateOrgOption() # CreateOrgOption |

    pull_request = giteapy.CreatePullRequestOption(
        body="Test 123"
    )

    try:
        # Create an organization
        # api_response = api_instance.admin_create_org(username, organization)
        api_response = api_instance.repo_create_pull_request("ZeusWPI", "drive", async_req=False, body=pull_request)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling RepositoryApi->repo_create_pull_request: %s\n" % e)